Bug 1660561 - `yum remove java-1.7.0-openjdk` pulls in katello and satellite as dependencies
Summary: `yum remove java-1.7.0-openjdk` pulls in katello and satellite as dependencies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Packaging
Version: 6.4.0
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-18 15:59 UTC by Peter Gervase
Modified: 2019-10-07 17:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1684705 (view as bug list)
Environment:
Last Closed: 2019-05-14 12:39:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:45 UTC

Description Peter Gervase 2018-12-18 15:59:56 UTC
Description of problem:
If you try to `yum remove java-1.7.0-openjdk`, it will pull in katello and satellite as dependencies, even with java-1.8.0-openjdk installed

Version-Release number of selected component (if applicable):
Satellite 6.4.1

How reproducible:
100%

Steps to Reproduce:
1. # yum remove java-1.7.0-openjdk
2.
3.

Actual results:
[root@dev ~]# yum remove java-1.7.0-openjdk
Loaded plugins: product-id, search-disabled-repos, subscription-manager
Resolving Dependencies
--> Running transaction check
---> Package java-1.7.0-openjdk.x86_64 1:1.7.0.201-2.6.16.1.el7_6 will be erased
--> Processing Dependency: java-openjdk < 1:1.8.0.45 for package: katello-3.7.0-8.el7sat.noarch
--> Running transaction check
---> Package katello.noarch 0:3.7.0-8.el7sat will be erased
--> Processing Dependency: katello >= 3.7.0 for package: satellite-6.4.1-1.el7sat.noarch
--> Running transaction check
---> Package satellite.noarch 0:6.4.1-1.el7sat will be erased
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================================================================================================================================================================================
 Package                                               Arch                                      Version                                                          Repository                                                            Size
=============================================================================================================================================================================================================================================
Removing:
 java-1.7.0-openjdk                                    x86_64                                    1:1.7.0.201-2.6.16.1.el7_6                                       @rhel-7-server-rpms                                                  554 k
Removing for dependencies:
 katello                                               noarch                                    3.7.0-8.el7sat                                                   @rhel-7-server-satellite-6.4-rpms                                    0.0  
 satellite                                             noarch                                    6.4.1-1.el7sat                                                   @rhel-7-server-satellite-6.4-rpms                                    0.0  

Transaction Summary
=============================================================================================================================================================================================================================================
Remove  1 Package (+2 Dependent packages)

Installed size: 554 k
Is this ok [y/N]:

Expected results:
You should be able to yum remove the older 1.7.0 version

Additional info:
[root@dev ~]# rpm -q --requires katello
...
java-openjdk >= 1:1.7.0
java-openjdk < 1:1.8.0.45

Comment 3 Lukas Pramuk 2019-01-04 13:03:18 UTC
VERIFIED.

@satellite-6.5.0-5.beta.el7sat.noarch
katello-3.10.0-0.6.rc1.el7sat.noarch

by the following manual steps:


1) Have a default SAT install and check installed javas
# rpm -qa *openjdk* 
java-1.8.0-openjdk-1.8.0.191.b12-1.el7_6.x86_64
java-1.8.0-openjdk-headless-1.8.0.191.b12-1.el7_6.x86_64

>>> java-1.7.0 is no longer needlessly pulled in since candlepin uses 1.8.0 starting Satellite 6.4

2)
# rpm -q --requires katello | grep java
<empty>

>>> katello rpm no longer controls java dependencies as these are controlled by candlepin rpm itself

Comment 4 Mike McCune 2019-03-01 22:16:34 UTC
This bug was cloned and is still going to be included in the 6.4.3 release. It no longer has the sat-6.4.z+ flag and 6.4.3 Target Milestone Set which are now on the 6.4.z cloned bug. Please see the Clones field to track the progress of this bug in the 6.4.3 release.

Comment 5 Mike McCune 2019-03-01 22:16:34 UTC
This bug was cloned and is still going to be included in the 6.4.3 release. It no longer has the sat-6.4.z+ flag and 6.4.3 Target Milestone Set which are now on the 6.4.z cloned bug. Please see the Clones field to track the progress of this bug in the 6.4.3 release.

Comment 8 errata-xmlrpc 2019-05-14 12:39:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.